Package org.apache.xmlbeans.impl.xpath

## Class XPathFactory

- java.lang.Object
- - org.apache.xmlbeans.impl.xpath.XPathFactory

-     public class XPathFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XPathFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `compilePath​(String pathExpr, XmlOptions options)` |
    `static String` | `compileQuery​(String queryExpr, XmlOptions options)` |
    `static XmlCursor` | `cursorExecQuery​(Cur c, String queryExpr, XmlOptions options)` |
    `static Path` | `getCompiledPath​(String pathExpr, XmlOptions options)` |
    `static Path` | `getCompiledPath​(String pathExpr, XmlOptions options, String currentVar)` |
    `static Path` | `getCompiledPathSaxon​(String pathExpr, String currentVar, Map<String,​String> namespaces)` |
    `static XQuery` | `getCompiledQuery​(String queryExpr, XmlOptions options)` |
    `static XmlObject[]` | `objectExecQuery​(Cur c, String queryExpr, XmlOptions options)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathFactory

          public XPathFactory()

  - ### Method Detail

    - #### getCompiledPath

          public static Path getCompiledPath​(String pathExpr,
                                             XmlOptions options)

    - #### getCompiledPath

          public static Path getCompiledPath​(String pathExpr,
                                             XmlOptions options,
                                             String currentVar)

    - #### getCompiledPathSaxon

          public static Path getCompiledPathSaxon​(String pathExpr,
                                                  String currentVar,
                                                  Map<String,​String> namespaces)

    - #### compilePath

          public static String compilePath​(String pathExpr,
                                           XmlOptions options)

    - #### objectExecQuery

          public static XmlObject[] objectExecQuery​(Cur c,
                                                    String queryExpr,
                                                    XmlOptions options)

    - #### cursorExecQuery

          public static XmlCursor cursorExecQuery​(Cur c,
                                                  String queryExpr,
                                                  XmlOptions options)

    - #### getCompiledQuery

          public static XQuery getCompiledQuery​(String queryExpr,
                                                XmlOptions options)

    - #### compileQuery

          public static String compileQuery​(String queryExpr,
                                            XmlOptions options)